
#include "common.h"
#include "Renderer.h"


/************
    初期化
 ************/
void	init_app(void)
{
}

/******************************
    稼働
		戻り値	アプリ続行か
 ******************************/
Bool	update_app(void)
{
	glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
	glClear(GL_COLOR_BUFFER_BIT);					// 画面クリア

	static const
	GLfloat		vertex[] =
				{
					   0.0f, -480.0f,
					-320.0f,  480.0f,
					 320.0f,  480.0f
				};

	static const
	GLubyte		color[] =
				{
					255,   0,   0, 255,
					  0, 255,   0, 255,
					  0,   0, 255, 255,
				};

	sys::ShaderProgram*		_shader = sys::Renderer::use_shader();		// シェーダ使用

	glVertexAttribPointer(_shader->color, 4, GL_UNSIGNED_BYTE, GL_TRUE, 0, color);		// カラー
	glVertexAttribPointer(_shader->position, 2, GL_FLOAT, GL_FALSE, 0, vertex);			// 頂点
	glDrawArrays(GL_TRIANGLES, 0, 3);									// 三角形描画

	return	TRUE;
}

/**************** End of File *************************************************/